<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Jadwal Test</title>
</head>
<th:block layout:fragment="script">
    <script>
        function CheckTest(val){
            var tpa=document.getElementById('SMART_TEST');
            var jpa=document.getElementById('JPA');
            if(val=='SMART_TEST') {
                tpa.style.display = 'block';
                jpa.style.display = 'none';
            }else if (val == 'JPA') {
                jpa.style.display = 'block';
                tpa.style.display = 'none';
            }else {
                tpa.style.display='none';
                jpa.style.display='none';
            }
        }
    </script>
</th:block>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="container">
    <div class="col-md-12" sec:authorize = "hasAuthority('VIEW_PENDAFTAR')">
        <div class="x_panel">
            <div class="x_title">
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#">Settings 1</a>
                            </li>
                            <li><a href="#">Settings 2</a>
                            </li>
                        </ul>
                    </li>
                    <li><a class="close-link"><i class="fa fa-close"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="btn-toolbar">
                    <div class="btn-group" th:if="${pendaftar.leads.jenjang.S1 == pendaftar.leads.jenjang}">
                        <a th:href="@{/dashboardPendaftar}">
                            <button class="btn btn-default" type="button">Form Pendaftaran S1</button>
                        </a>
                        <a th:href="@{/tagihan/listPendaftar}">
                            <button class="btn btn-default" type="button">Tagihan Pendaftaran</button>
                        </a>
                        <a th:href="@{/jadwalTest/form}">
                            <button class="btn btn-default active" type="button">Jadwal Test</button>
                        </a>
                        <a th:href="@{/kartuUjian/form}">
                            <button class="btn btn-default" type="button">Cetak Kartu</button>
                        </a>
                        <a th:href="@{/hasilTest/formPendaftar}">
                            <button class="btn btn-default" type="button">Hasil Test</button>
                        </a>
                        <a th:href="@{/daftarUlang/formPendaftar}">
                            <button class="btn btn-default" type="button">Daftar Ulang</button>
                        </a>
                        <a th:href="@{/detailPendaftar/form}">
                            <button class="btn btn-default" type="button">Data Detail</button>
                        </a>
                        <a th:href="@{/uploadBerkas/form}">
                            <button class="btn btn-default" type="button">Berkas</button>
                        </a>
                    </div>
                    <div class="btn-group" th:if="${pendaftar.leads.jenjang.S2 == pendaftar.leads.jenjang}">
                        <a th:href="@{/dashboardPendaftar}">
                            <button class="btn btn-default" type="button">Form Pendaftaran</button>
                        </a>
                        <a th:href="@{/tagihan/listPendaftar}">
                            <button class="btn btn-default" type="button">Tagihan Pendaftaran</button>
                        </a>
                        <a  th:href="@{/detailPendaftar/formS2}">
                            <button class="btn btn-default" type="button">Data Detail</button>
                        </a>
                        <a th:href="@{/jadwalTest/form}">
                            <button class="btn btn-default active" type="button">Jadwal Test</button>
                        </a>
                        <a th:href="@{/kartuUjian/form}">
                            <button class="btn btn-default" type="button">Cetak Kartu</button>
                        </a>
                        <a th:href="@{/hasilTest/formPendaftar}">
                            <button class="btn btn-default" type="button">Hasil Test</button>
                        </a>
                        <a th:href="@{/daftarUlang/formPendaftar}">
                            <button class="btn btn-default" type="button">Daftar Ulang</button>
                        </a>
                        <a th:href="@{/uploadBerkas/form}">
                            <button class="btn btn-default" type="button">Berkas</button>
                        </a>
                    </div>
                </div>
                <div class="row" id="printDiv" th:if="${pembayaran} == null">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="x_panel tile fixed_height_160">
                            <div class="alert alert-info">
                                <h2><i class="fa fa-warning"></i> Warning!</h2>
                                <h5>Untuk melanjutkan proses pendaftaran silahkan lakukan pembayaran biaya pendaftaran pada menu "tagihan pendaftaran".</h5>
                                <a th:href="@{/tagihan/listPendaftar}" class="btn btn-warning"><i class="fa fa-money"></i>&nbsp;Lihat Tagihan</a>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="row" id="printDiv" th:if="${hasilTest} != null">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="x_panel tile fixed_height_160">
                            <div class="alert alert-info">
                                <h2><i class="fa fa-warning"></i> Warning!</h2>
                                <h5>Anda sudah melakukan test, untuk melihat hasil test silahkan klik.</h5>
                                <a th:href="@{/hasilTest/formPendaftar}" class="btn btn-warning"><i class="fa fa-language"></i>&nbsp;Lihat Hasil Test</a>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="row"  th:if="${jadwalTest.pendaftar} != null">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="x_panel tile fixed_height_160">
                            <div class="alert alert-info">
                                <h2><i class="fa fa-warning"></i> Warning!</h2>
                                <h5>Silahkan Hubungi Admin Untuk Mengetahui Hasil Test.</h5>
                            </div>
                        </div>
                    </div>
                </div>
                <br>

                <form  th:if="${jadwalTest.pendaftar} == null" enctype="multipart/form-data" th:action="@{/jadwalTest/form}" th:object="${jadwalTest}" method="post">
                    <div th:if="${pendaftar.leads.jenjang.S1 == pendaftar.leads.jenjang && pendaftar.konsentrasi == 'Reguler'}">
                        <div  class="col-md-6 row" th:if="${pembayaran} != null and ${hasilTest} == null">
                            <input type="hidden" name="id" th:field="*{id}">
                            <input type="hidden" name="noReg" th:value="${pendaftar.nomorRegistrasi}">
                            <div class="form-row">
                                <div class="form-group col-md-7 col-xs-12">
                                    <label>Jenis Test </label>
                                    <select name="jenisTest" th:field="*{jenisTest}" class="form-control" onchange='CheckTest(this.value);'>
                                        <option value="">-Pilih Jenis Test-</option>
                                        <option  value="JPA">Raport</option>
                                        <option  value="SMART_TEST">SMART TEST</option>
                                        <!--                                    <option value="TPA">Utusan Daerah</option>-->
                                    </select>
                                </div>
                                <div class="form-group col-md-5 col-xs-12" name="JPA"  id="JPA" style=" display:none;">
                                    <label>Upload Raport </label>
                                    <input name="fileUpload" type="file" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 row">
                            <div class="x_content" name="SMART_TEST"  id="SMART_TEST" style="display:none;">
                                <div th:each="b : ${beasiswa}" class="animated flipInY col-lg-3 col-md-3 col-sm-6  ">
                                    <div class="tile-stats" >
                                        <label>
                                            <p><input type="radio" name="idBeasiswa" th:value="${b.id}" class="flat">
                                                <b style="font-size: 22px;" th:text="${'&nbsp'+ b.nama}"></b>
                                            </p>
                                            <!--                                        <div class="count" style="font-size: 25px;" th:text="${b.nama}">179</div>-->
                                            <h1  style="font-size: 20px;" th:utext="${b.keterangan}">New Sign ups</h1>
                                            <p>Test Akan di laksanakan pada tanggal <b th:text="${b.tanggalTest}">20 - Mei - 2023</b></p>
                                        </label>
                                    </div>

                                </div>
                            </div>

                            <!--                        <div class="row">-->
                            <!--                            <div class="col-md-6" >-->
                            <!--                                <div th:each="b : ${beasiswa}"  class="card text-white bg-primary" style="margin-top: 10px; ">-->
                            <!--                                        <h3 th:text="${b.nama}">Beasiswa Daerah Siak</h3>-->
                            <!--                                        <span th:utext="${b.keterangan}">Beasiswa Ini Khusus Untuk Pendaftar Dari Daerah Siak, dengan beberapa seleksi :</span>-->

                            <!--                                    <span></span>-->
                            <!--                                </div>-->
                            <!--                            </div>-->
                            <!--                        </div>-->
                            <div class="form-row">
                                <div class="col-md-12">
                                    <button type="submit" class="btn btn-primary">Simpan</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div th:if="${pendaftar.leads.jenjang.S1 == pendaftar.leads.jenjang && pendaftar.konsentrasi == 'Karyawan'}">
                        <div  class="col-md-12 row" th:if="${pembayaran} != null and ${hasilTest} == null">
                            <div class="x_title">
                                <h3>
                                    Silahkan isi pertanyaan dibawah ini.
                                </h3>
                            </div>
                            <input type="hidden" name="id" th:field="*{id}">
                            <input type="hidden" name="noReg" th:value="${pendaftar.nomorRegistrasi}">
                            <input type="hidden" name="jenisTest" value="SMART_TEST">
                            <div class="form-row">
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>1. Ceritakan tentang diri anda dalam 300 kata ?</label>
                                    <textarea name="soal1" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>2. Apa kelebihan dan kekurangan anda ?</label>
                                    <textarea name="soal2" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>3. Apa rencana anda dalam 3-5 tahun mendatang ?</label>
                                    <textarea name="soal3" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>4. Bagaimana anda mengatur waktu kuliah dan berkerja ?</label>
                                    <textarea name="soal4" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>5. Apa yg anda ketahui tentang Islam ?</label>
                                    <textarea name="soal5" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>6. Apa yang anda ketahui tentang Ekonomi Syariah ?</label>
                                    <textarea name="soal6" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>7. Mengapa anda mengambil program studi pilihan anda ?</label>
                                    <textarea name="soal7" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>8. Apa manfaat dari melanjutkan kuliah di kelas karyawan ?</label>
                                    <textarea name="soal8" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>9. Apa motivasi anda kuliah di kampus Tazkia ?</label>
                                    <textarea name="soal9" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>10. Darimana mendapatkan informasi kelas karyawan kampus Tazkia ?</label>
                                    <textarea name="soal10" class="form-control" required></textarea>
                                </div>

                            </div>
                            <div class="form-row">
                                <div class="col-md-12">
                                    <button type="submit" class="btn btn-primary">Simpan</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div th:if="${pendaftar.leads.jenjang.S2 == pendaftar.leads.jenjang}">
                        <div  class="col-md-6 row" th:if="${pembayaran} != null and ${hasilTest} == null">
                            <div class="x_title">
                                <h3>
                                    Silahkan isi pertanyaan dibawah ini.
                                </h3>
                            </div>
                            <input type="hidden" name="id" th:field="*{id}">
                            <input type="hidden" name="noReg" th:value="${pendaftar.nomorRegistrasi}">
                            <input type="hidden" name="jenisTest" value="SMART_TEST">
                            <div class="form-row">
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>1. Ceritakan tentang diri anda dalam 300 kata ?</label>
                                    <textarea name="soal1" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>2. Apa kelebihan dan kekurangan anda ?</label>
                                    <textarea name="soal2" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>3. Apa rencana anda dalam 3-5 tahun mendatang ?</label>
                                    <textarea name="soal3" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>4. Bagaimana anda mengatur waktu kuliah dan berkerja ?</label>
                                    <textarea name="soal4" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>5. Apa yg anda ketahui tentang Islam ?</label>
                                    <textarea name="soal5" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>6. Apa yang anda ketahui tentang Ekonomi Syariah ?</label>
                                    <textarea name="soal6" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>7. Mengapa anda mengambil program studi pilihan anda ?</label>
                                    <textarea name="soal7" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>8. Apa manfaat dari melanjutkan kuliah pascasarjana ?</label>
                                    <textarea name="soal8" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>9. Apa motivasi anda kuliah di kampus Tazkia ?</label>
                                    <textarea name="soal9" class="form-control" required></textarea>
                                </div>
                                <div class="form-group col-md-4 col-xs-12">
                                    <label>10. Darimana mendapatkan informasi pascasarjana kampus Tazkia ?</label>
                                    <textarea name="soal10" class="form-control" required></textarea>
                                </div>

                            </div>
                            <div class="form-row">
                                <div class="col-md-12">
                                    <button type="submit" class="btn btn-primary">Simpan</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>

</body>
</html>




